osgFX::Registry Class Reference

`#include <Registry>`

Inheritance diagram for osgFX::Registry:

## Classes

struct | Proxy

## Public Types

typedef std::map< std::string, osg::ref_ptr< const Effect > > | EffectMap

## Public Member Functions

void | registerEffect (const Effect *effect)
void | removeEffect (const Effect *effect)
const EffectMap & | getEffectMap () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Static Public Member Functions

static Registry * | instance ()
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Protected Member Functions

| Registry ()
| ~Registry ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Typedef Documentation

## EffectMap

typedef std::map<std::string, osg::ref_ptr<const Effect> > osgFX::Registry::EffectMap

## Constructor & Destructor Documentation

## Registry()

osgFX::Registry::Registry | ( |  | ) |

protected

Referenced by instance().

## ~Registry()

osgFX::Registry::~Registry | ( |  | ) |

inline protected

## Member Function Documentation

## getEffectMap()

const Registry::EffectMap & osgFX::Registry::getEffectMap | ( |  | ) | const

inline

Referenced by instance().

## instance()

Registry * osgFX::Registry::instance | ( |  | ) |

static

References getEffectMap(), registerEffect(), Registry(), and removeEffect().

Referenced by osgFX::Registry::Proxy::Proxy(), and osgFX::Registry::Proxy::~Proxy().

## registerEffect()

void osgFX::Registry::registerEffect | ( | const Effect * | effect | ) |

inline

References osgFX::Effect::effectName().

Referenced by instance().

## removeEffect()

void osgFX::Registry::removeEffect | ( | const Effect * | effect | ) |

inline

References osgFX::Effect::effectName().

Referenced by instance().

The documentation for this class was generated from the following file:

- osgFX/Registry